# eslint-config-airbnb-typescript

This package provides Airbnb's base JS .eslintrc as an extensible shared config.

## Usage

1. Install correct version of each package, which are listed by the command:

```sh
npm info "eslint-config-airbnb-base-typescript@latest" peerDependencies
```

if you using __npm 5+__, use this shortcut

```sh
npx install-peerdeps --dev eslint-config-airbnb-base-typescript
```

This will work with __yarn__, npx will detect that you are using yarn and install dependencies via yarn.

2. Add `"extends": "airbnb-base-typescript"` to your .eslintrc.

## Other

This config was inspired by [eslint-config-react-app](https://github.com/facebook/create-react-app/tree/master/packages/eslint-config-react-app) and [eslint-config-airbnb-base](https://github.com/airbnb/javascript/blob/master/packages/eslint-config-airbnb-base).
